Alokai

SapccApiDoHandleSopPaymentResponseRequest

Request parameters for doHandleSopPaymentResponse operation in SapccApi. SapccApiDoHandleSopPaymentResponseRequest

interface SapccApiDoHandleSopPaymentResponseRequest {
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly fields?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier. {string} SapccApiDoHandleSopPaymentResponse
cartIdRequiredstringCart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiDoHandleSopPaymentResponse
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiDoHandleSopPaymentResponse
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user. {string} SapccApiDoHandleSopPaymentResponse

On this page